Skip to main content
GET
/
v1
/
people
/
{id}
/
events
List person events
curl --request GET \
  --url https://api-v1.maverickintelligence.co/v1/people/{id}/events \
  --header 'X-API-Key: <api-key>'
{
  "person": {
    "id": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "<string>",
    "company": "<string>"
  },
  "data": [
    {
      "eventId": "<string>",
      "sessionId": "<string>",
      "eventType": "page_view",
      "timestamp": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "pageTitle": "<string>",
      "clickElement": "<string>",
      "clickHref": "<string>",
      "scrollPercentage": 123
    }
  ],
  "pagination": {
    "limit": 123,
    "count": 123,
    "nextCursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key in format: mk_live_{40 hex chars}

Path Parameters

id
string
required

Person ID

Query Parameters

limit
integer
default:50

Number of records per page

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from the previous response's nextCursor

Response

List of events

person
object

Summary of the person these events belong to

data
object[]
pagination
object